
#include <ssvd.h>
#include <gsl/gsl_matrix.h>
#include <gsl/gsl_complex.h>

int
main(void)
{
    size_t m = 44100;
    size_t n = 44100;
    size_t k = 300;
    size_t l = 310;
    size_t n_iter = 2;
    gsl_matrix_complex *A;
    gsl_matrix_complex *U;
    gsl_matrix_complex *Va;
    gsl_vector *S;

    A = gsl_matrix_complex_alloc(m, n);
    ssvd_random_matrix(A, 1.0, 1.0);
    ssvd_ssvd(A, k, l, n_iter, &U, &Va, &S);



    return(0);
}

